<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6</TargetFramework>

    <IsPackable>false</IsPackable>
    <UserSecretsId>d7144e46-4e63-4391-ba86-64b61f6e7be4</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.9.4" />
    <PackageReference Include="xunit" Version="2.4.1" />
    <PackageReference Include="xunit.abstractions" Version="2.0.3" />
    <PackageReference Include="xunit.runner.reporters" Version="2.4.1" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.1" />
     <PackageReference Include="xunit.runner.msbuild" Version="2.4.1" />
     
    <PackageToolReference Include="xunit.runner.console" Version="2.4.1" PrivateAssets="All"/>
    <PackageReference Include="coverlet.collector" Version="1.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\src\isnd\isnd.csproj" />
    <ProjectReference Include="..\..\src\isn\isn.csproj" />
  </ItemGroup>
  <ItemGroup>
    <MyTestingConfigFiles Include="appsettings.Testing.json"/>
  </ItemGroup>
  <Target Name="CopyTestConfig">
        <Copy
            SourceFiles="@(MyTestingConfigFiles)"
            DestinationFolder="bin\Debug\net6.0"
        />
    </Target>
</Project>
